Page 2 of 2

Re: themes not showing up

Posted: 24 Mar 2016, 17:07
by david_r
ok, I may have figured this out. I copied everything that was in \themes into \themes.local and refreshed. Now I am seeing 2 of each theme. Strange but progress.

Re: themes not showing up

Posted: 24 Mar 2016, 22:41
by fox
fwiw you don't need to add tt-rss folder to open_basedir if you got parent folder already added there

other than that i don't really have anything constructive to add :shrug:

Re: themes not showing up

Posted: 26 Mar 2016, 04:35
by david_r
fox wrote:fwiw you don't need to add tt-rss folder to open_basedir if you got parent folder already added there

other than that i don't really have anything constructive to add :shrug:


Thanks, I am running strong. As I mentioned, I had to copy them to both folders and then it worked. I do see 2 theme for each one in the dropdown but its all good. Its just for me so once I actually set the theme, no changes needed :)

thank you

Re: themes not showing up

Posted: 26 Mar 2016, 05:21
by JustAMacUser
In case it's not abundantly clear:

Bundled themes (i.e. the one's fox makes and includes with TT-RSS) should be included in the themes directory. Third-party themes (ones you make or get from someone else) go in the themes.local directory.

With that being done, each theme should only show up in the list once. Third-party themes must include an appropriate version tag in their CSS file to be usable. TT-RSS checks this because it prevents third-party themes from being used if they might break the user interface due to changes in the core.

Re: themes not showing up

Posted: 07 Aug 2016, 19:24
by rmdes
hird-party themes (ones you make or get from someone else) go in the themes.local directory.


I just created a directory with that name (there wasn't any) and sent all third party themes files & CSS into

but still, there is no way I can make third party themes to show up in the dropdown selection.

clean tt-rss install on debian 8.

Re: themes not showing up

Posted: 07 Aug 2016, 20:02
by fox
use git instead of whatever obsolete garbage debian has in the repository

Re: themes not showing up

Posted: 07 Aug 2016, 20:09
by rmdes
Do you read my post first ?

let's repeat : I have followed all instructions i could find on this forum BEFORE coming here to dare to ask something.
so I'm using Git. I did wrote /* supports-version:1.15.3 */ as first line of each theme I'm using. I did moved all these "from git" themes to themes.local

edit : I was using a pre-packaged version from YunoHost on my VPS, so I upgraded it to latest Git version from here https://github.com/YunoHost-Apps/ttrss_ynh

ps: Yes I have 2 posts on this forum because I never needed any help in the 4 or 5 years I'm using tt-rss
so please don't bullshit me with newbie insults.

Re: themes not showing up

Posted: 07 Aug 2016, 20:58
by fox
rmdes wrote:Do you read my post first ?

let's repeat : I have followed all instructions i could find on this forum BEFORE coming here to dare to ask something.
so I'm using Git. I did wrote /* supports-version:1.15.3 */ as first line of each theme I'm using. I did moved all these "from git" themes to themes.local

edit : I was using a pre-packaged version from YunoHost on my VPS, so I upgraded it to latest Git version from here https://github.com/YunoHost-Apps/ttrss_ynh

ps: Yes I have 2 posts on this forum because I never needed any help in the 4 or 5 years I'm using tt-rss
so please don't bullshit me with newbie insults.


give my regards to "yunohost-apps", bye

e: also, lol at this: I did wrote /* supports-version:1.15.3 */

Re: themes not showing up

Posted: 08 Aug 2016, 12:57
by darknite323
I know I probably shouldn't do this but I can't sit idly by and watch this trainwreck. (I just can't look away :lol: )

First problem, you're using version 1.15.3. That is an old milestone, which was released in December of 2014, so is well over a year old.

Second problem, obviously logic isn't you're strong suit, obviously you read the FAQ, however what made you think that when it said that you should be using the Git version, that it meant ANY Git version. Why in the world would fox support someone elses version of TTRSS. Who knows how many ways they've messed with the code.

So in an attempt to actually help you:
1. Sort out your TTRSS version, preferably update to the proper Git version. You can find the forum article linked at the bottom of the Wiki homepage.

2. Then see if you still have issues, once you're actually on the same page as everyone else. Post again, and make sure you properly list your version, go to the preferences screen and copy the text at the bottom of the screen. The whole thing, including the 7 digit number.

To give some perspective, besides the fact that the base version is over 20 months old. The YunoHost people have only added about 30 commits to the code since they copied it over and most is just to make it easier to run on their systems.
Fox (and the other great contributors to TTRSS) have committed over 580 changes/fixes since then.


Sorry it's a bit ranty, but this is me restraining myself, so much frustration when working in the IT industry with customers who seem to have little to no logical thoughts.

Re: themes not showing up

Posted: 08 Aug 2016, 13:37
by kierun
darknite323 wrote:[…]Sorry it's a bit ranty, but this is me restraining myself, so much frustration when working in the IT industry with customers who seem to have little to no logical thoughts.


Hear hear.

Just to add a little bit more information: the Git version means the latest git master branch version.

Re: themes not showing up

Posted: 08 Aug 2016, 13:55
by fox
this is literally right there on tt-rss.org frontpage

Re: themes not showing up

Posted: 03 Feb 2017, 17:08
by zoider
/* supports-version:17.1 */ doesn't not work anymore.

This line has also disappear from compact.css :

https://tt-rss.org/gitlab/fox/tt-rss/co ... 6603f8e665

What do I have to do to make the feedly theme compatible again ?

removing the line didn't work

Thanks,

Zoider

Re: themes not showing up

Posted: 03 Feb 2017, 17:59
by fox
>/* supports-version:17.1 */ doesn't not work anymore.

yes it does, nothing has changed in this regard

>This line has also disappear from compact.css :

built-in css files are whitelisted, again nothing has changed here

>What do I have to do to make the feedly theme compatible again ?

my advice would be asking whoever made the theme to update it

another advice, as always, is thinking before you post here

Re: themes not showing up

Posted: 03 Feb 2017, 20:19
by zoider
Apparently I was wrong indeed, sorry.